import * as d3 from 'd3';
export declare function cycle_colors(colors: any, count: any): any;
export declare function cycle_colors_from_scheme(scheme: any, num_steps: any): any;
export declare function get_linear_scale(scheme: any): d3.ScaleLinear<number, number>;
export declare function get_ordinal_scale(scheme: any, num_steps: any): d3.ScaleOrdinal<string, unknown>;
export declare function get_linear_scale_range(scheme: any): any;
export declare function get_ordinal_scale_range(scheme: any, num_steps: any): any;
